### Method

# GLib VariantType next

#### Declaration

    const GVariantType*
    g_variant_type_next (
      const GVariantType* type
    )

#### Description

Determines the next item type of a tuple or dictionary entry type.

`type` must be the result of a previous call to `g_variant_type_first()` or g_variant_type_next().

If called on the key type of a dictionary entry then this call returns the value type. If called on the value type of a dictionary entry then this call returns `NULL`.

For tuples, `NULL` is returned when `type` is the last item in a tuple.

#### Return value

Type: `GVariantType`

The next `GVariantType` after `type`, or `NULL`

Since 2.24.

The returned data is owned by the instance.